<%@ include file="/jsp/init.jsp" %>

<liferay-portlet:renderURL var="pesquisaURL" windowState="<%=LiferayWindowState.POP_UP.toString()%>">
	<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/destinatario-popup.jsp"/>
</liferay-portlet:renderURL>


<%
	
	String orderByCol = ParamUtil.getString(request, "orderByCol");
	String orderByType = ParamUtil.getString(request, "orderByType");
	String sortingOrder = orderByType;
	
	if(orderByType.equals("desc")){
	    orderByType = "asc";
	}else{
	    orderByType = "desc";
	}
	
	String nomeParam = "";
	
	if (!"".equals(ParamUtil.getString(request, "nomeListaDestinatarioSearch"))){
		nomeParam = ParamUtil.getString(request, "nomeListaDestinatarioSearch");
	} else if (!"".equals(ParamUtil.getString(request, "nome")) && "".equals(ParamUtil.getString(request, "operacao"))){
		nomeParam = ParamUtil.getString(request, "nome");
	}
	
	PortletURL portletURL = renderResponse.createRenderURL();
	portletURL.setParameter("nome", nomeParam);
	portletURL.setParameter("tipoListaParam", "0");
	portletURL.setParameter("mvcPath", "/jsp/admin/mensagem/destinatario-popup.jsp");
	portletURL.setWindowState(LiferayWindowState.POP_UP);;
	
%>

<aui:form action="${pesquisaURL}" method="post" name="fmSearch" cssClass="search-terms">
	<aui:input name="tipoLista" value="0" type="hidden" />
	
               <aui:input name="nomeListaDestinatarioSearch" 
                            cssClass="label-mensagem-dados"
                            value="${param.nome}" 
                            type="text" 
                            inlineField="false" 
                            inlineLabel="left"
                            label="destinatario.busca.campo.nome"/>
				
				
	<aui:button type="submit" value="search"/>
</aui:form>

<div class="separator"></div>



<aui:form name="fmDestinatarios" cssClass="search-results">
	<liferay-ui:search-container
		emptyResultsMessage="destinatario.lista.vazia"
	    deltaConfigurable="false"
	    delta="10"
	    orderByType="<%=orderByType %>"
	    iteratorURL="<%=portletURL%>"
	    rowChecker="<%= new RowChecker(renderResponse) %>">
	    
	
	    <liferay-ui:search-container-results>
			<%
			Map<Integer , List<GrupoDestinatario>> retorno = GrupoDestinatarioSearch.pesquisar(renderRequest , themeDisplay.getCompanyId(),
					searchContainer.getStart() , searchContainer.getEnd() , ParamUtil.getString(request, "orderByCol"), false);
			java.util.Map.Entry entry  = retorno.entrySet().iterator().next();	
			List<GrupoDestinatario> lista = (List<GrupoDestinatario>) entry.getValue();
			pageContext.setAttribute("results", lista);
			pageContext.setAttribute("total", entry.getKey());
			%>        														
	    </liferay-ui:search-container-results>
	    
	    <liferay-ui:search-container-row
	        className="br.mp.mprj.portal.portlet.gestaomensagens.service.model.GrupoDestinatario"
	        escapedModel="true"
	        keyProperty="grupoDestinatarioId"
	        modelVar="grupoDestinatario"
	        rowIdProperty="grupoDestinatarioId">
	        <aui:input name="destinatario_${grupoDestinatario.grupoDestinatarioId}_nome" type="hidden" value="${grupoDestinatario.nome}"/>
	        
	         <input type="hidden" name="operacao"  id="operacao" value="pesquisa"/>     
	        
        	<liferay-ui:search-container-column-text
           	 	name="Nome"
            	orderable="false"
            	property="nome"
            	cssClass="tabela-td-center"
    	    />
    	    
	    </liferay-ui:search-container-row>
	    
	    <liferay-ui:search-iterator />
	    
	</liferay-ui:search-container>
	
	<aui:button cssClass="btn-primary" 
				type="button" 
				value="atualizar-associacao-destinatarios" 
				onClick="javascript:selecionarRegistros()"/>

</aui:form>

<aui:script use="node">
	Liferay.provide(
	        window,
	        'selecionarRegistros',
	        function() {
	        	//cria um array de objetos com as informações dos usuários selecionados,
	        	//para que sejam incluídos na página que originou o popup, para futura persistência na base.
				var idsSel = Liferay.Util.listChecked(document.<portlet:namespace/>fmDestinatarios).split(',');
				var rowAdd = [];
				for (var i = 0; i < idsSel.length; i++) {
					var id = idsSel[i];
					if (id == 'on' || id == '') continue;
					//campos hidden criados através do componente searchContainer
					var nome = A.one("#<portlet:namespace/>destinatario_" + id + "_nome").val();
					var obj = {
						id: id,
						nome: nome
					}
					rowAdd.push(obj);
				}
				Liferay.Util.getOpener().associarDestinatarios(rowAdd);
	        },
	        ['liferay-util-list-fields']
	);
</aui:script>

<script>
	$('.lfr-pagination-delta-selector').hide();
</script>
